Skip to content
POST/{organizationId}/{mandateId}/finance/accounting/postings/{postingId}/receiptFile

Update posting receipt file

Updates the posting receipt file contents and name for a posting by its id.

Required permissions:

  • mandate.read

  • posting.edit

Path Parameters

organizationIdstringrequired
mandateIdstringrequired
postingIdstringrequired

Request Body required

Content-Type: application/json

receiptFilestringrequired
receiptFileNamestringoptional

Default: ""

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/finance/accounting/postings/{postingId}/receiptFile
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/finance/accounting/postings/{postingId}/receiptFile' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "receiptFile": "string"
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

receiptFilestringrequired
receiptFileNamestringrequired

Response

200
{
  "receiptFile": "string",
  "receiptFileName": "string"
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}